Kerbal Space Program - Bug #7176

Destroyed Astronaut Complex allows hiring Kerbals
03/05/2016 10:02 AM - rudi1291

Status: Confirmed Start date: 03/05/2016
Severity: Low % Done: 10%
Assignee:

Category: Buildings

Target version:

Version: 1.0.5 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

Description: Even if the astronaut complex was destroyed, you can enter it through SPH/VAB and hire Kerbals.
Reproduction:

1. Destroy the astronaut complex. (Either by crashing something into it so that it gets destroyed or by using "Whack-a-Kerbal" from
the cheat menu)

2. DonAt repair it, instead enter SPH/VAB.

3. Load or build a craft, so that the "Crew" tab gets active.

4. Click on the crew tab and then "Enter Astronaut Complex”.

You can now hire Kerbals.

Tested in Career and Sandbox, with each level Astronaut Complexes.
This wonA't repair the Astronaut Complex.

History

#1 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/27/2016 12:30 PM - MiniMatt
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Yep, can replicate in v1.1.3 Win x64 with a brand new career save following the replication steps Rudi lists above.

#3 - 03/15/2019 12:33 PM - BillKerman123
I can confirm this bug is still active in 1.6.1 as of the 15th of March 2019 (On OSX and Windows, | have not checked Linux).

#4 - 03/15/2019 12:34 PM - BillKerman123
- Status changed from Updated to Confirmed
- Platform OSX added
